$(function ()
{
    $('#songchanges').jstree(
        {
            'plugins': ['themes', 'html_data', 'ui', 'cookie'],
            'core': { 'initially_open': ['phtml_1'] }
        }
    ).on('select_node.jstree',
        function (e, data) {
            var href = data.node.a_attr.href;
            var iframe = document.getElementById("processingResults");
            if (href != '#') {
                iframe.src = href;
                document.body.scrollTop = 0;
                document.documentElement.scrollTop = 0;
            }
            else {
               $(this).jstree('toggle_node', data.node);
            }
        }
    ).on('ready.jstree', function (e, data) {
        var leaf = null;
        var getFirstLeaf = function (id) {
            var node = data.instance.get_node(id); // # is the root node
            if(node.children.length > 0){
                return getFirstLeaf(node.children[0]);
            }
            return data.instance.select_node(id); //Triggers select_node event
        };
        getFirstLeaf('phtml_1');
    })
});
