
$('#movematchedtree').jstree
(
    {
        'plugins' : ['themes','html_data','ui','cookie'],
        'core' :
        {
            'data' :
            {
                'url' : '/fixsongs.move_folder_foldertree',
                'dataType' : 'json',
                'data' : function (node) {
                  return { 'id' : node.id };
                }
            }
        }
    }
)
.bind('select_node.jstree',
    function (e, data)
    {
        var objNode = data.instance.get_node(data.selected[0]);
        var input = document.getElementById('moveFolder');
        if (!input.disabled)
        {
               input.value=objNode.id;
        }
    }
)
;

$('#moveunmatchedtree').jstree
(
    {
        'plugins' : ['themes','html_data','ui','cookie'],
        'core' :
        {
            'data' :
            {
                'url' : '/fixsongs.move_unmatched_foldertree',
                'dataType' : 'json',
                'data' : function (node) {
                  return { 'id' : node.id };
                }
            }
        }
    }
)
.bind('select_node.jstree',
    function (e, data)
    {
        var objNode = data.instance.get_node(data.selected[0]);
        var input = document.getElementById('moveUnmatchedFolder');
        if (!input.disabled)
        {
               input.value=objNode.id;
        }
    }
)
;